Skip to content
Leadtime
English
Esc
↑↓navigate↵open⌘Jpreview

Get employee bank account information

Returns employee bank account details including IBAN, BIC, bank name, and account owner name.

Note: This endpoint is only available for employee accounts. Bank data is typically used for payroll processing.

GET/account/employee/bank-data
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:read
or
AuthorizationBearer token (JWT) · headerrequired
Responses
200
bankAccountBICstring | nullrequired

Bank BIC code

bankAccountIBANstring | nullrequired

Bank IBAN

bankAccountNamestring | nullrequired

Bank account name

bankAccountOwnerstring | nullrequired

Account owner name

idstringrequired

Employee ID

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

404

Employee bank data not found

Try it
Server
Authorization
Request
curl -X GET "https://leadtime.app/api/public/account/employee/bank-data" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
Response
{
  "bankAccountBIC": "DEUTDEFF",
  "bankAccountIBAN": "DE89370400440532013000",
  "bankAccountName": "Deutsche Bank",
  "bankAccountOwner": "John Doe",
  "id": "emp_123"
}